dnl This file is part of MPHELL.
dnl enable IPP
dnl MPHELL_ENABLE_IPP

AC_DEFUN([MPHELL_ENABLE_IPP],
         [AC_ARG_ENABLE([ipp],
                        [AC_HELP_STRING([--enable-ipp],
                        [Use IPP for arithmetic,
                         default=no])],
                        [test_ipp=$enable_ipp],
                        [test_ipp=no])
          AC_MSG_CHECKING(if IPP is used for arithmetic)
          AS_IF([ test "x$test_ipp" != "xno" -a "x$test_gmp" == "xno"],
          [
                AC_DEFINE(USE_IPP, 1, [Define if IPP is used for arithmetic])
                AC_MSG_RESULT(yes)
                AC_ENABLE_SHARED                          # enable shared libraries
          ],
          [
                AC_DEFINE(USE_IPP, 0, [Define if IPP is not used for arithmetic])
                AC_MSG_RESULT(no)])
          ]
)
