/* 
  MPHELL-4.0 
  Author(s): The MPHELL team

 (C) Copyright 2015-2018 - Institut Fourier / Univ. Grenoble Alpes (France) 

 This file is part of the MPHELL Library.
 MPHELL is free software: you can redistribute it and/or modify
 it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, version 3 of the License.
 
 MPHELL is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public License
 along with MPHELL.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
  * \file  mphell.h
  * \brief MPHELL header, to include from a C program.
  */

#ifndef MPHELL_H
#define MPHELL_H


/***********************************NUMBER************************************/

#include "mphell-number.h"

/**********************************RANDOM*************************************/

#include "mphell-random.h"

/***********************************FIELD*************************************/

#include "mphell-field.h"

/***********************************CURVE*************************************/

#include "mphell-curve.h"

#endif
