dnl This file is part of MPHELL.
dnl enable debug
dnl MPHELL_ENABLE_DEBUG

AC_DEFUN([MPHELL_ENABLE_DEBUG],
         [AC_ARG_ENABLE([debug],
                        [AC_HELP_STRING([--enable-debug],
                        [Enable assertion and flag -g])],
                        [test_debug=$enable_debug],
                        [test_debug=no])
          AC_MSG_CHECKING(for Debug mode)
          AS_IF([ test "x$test_debug" != "xno" ],
          [
                DEBUG_FLAGS="-g"
                #CFLAGS="${CFLAGS}"
                AC_DEFINE(USE_DEBUG,1,[Define if MPHELL use assert])
                AC_MSG_RESULT(yes)
                AC_SUBST(DEBUG_FLAGS)],
          [
                DEBUG_FLAGS="-DNDEBUG"
                #CFLAGS="${CFLAGS}"
                AC_DEFINE(USE_DEBUG,0,[Define if MPHELL do not use assert])
                AC_SUBST(DEBUG_FLAGS)
                AC_MSG_RESULT(no)])
          ]
)
