dnl This file is part of MPHELL.
dnl set default path for GMP
dnl MPHELL_DEFAULT_PATH


AC_DEFUN([MPHELL_DEFAULT_PATH],
[

AC_ARG_WITH([default],
            [AC_HELP_STRING([--with-default=<path>], 
                            [Add <path> to the default path for external package
                            checking. Set as default with /usr and /usr/local.
                            ])],
            [if test "$withval" = yes ; then
                echo "Default path = /usr /usr/local"
                DEFAULT_CHECKING_PATH="/usr /usr/local"
            else
                echo "Default path (updated) = $withval /usr /usr/local "
                DEFAULT_CHECKING_PATH="$withval /usr /usr/local "
            fi
            ],
            [
                echo "Default path = /usr /usr/local "
                DEFAULT_CHECKING_PATH="/usr /usr/local "
            ])
])
