dnl This file is part of MPHELL.
dnl set default arithmetic
dnl MPHELL_SET_DEFAULT_ARITHMETIC

AC_DEFUN([MPHELL_SET_DEFAULT_ARITHMETIC],
         [
          AC_MSG_CHECKING(if IPP or GMP or MbedTLS is used for arithmetic)
          AS_IF([ test "x$test_ipp" == "xno" -a "x$test_gmp" == "xno" -a "x$test_mbedtls" == "xno"],
          [
                test_gmp=yes
                AC_DEFINE(USE_GMP, 1, [Define if GMP is used for arithmetic])
                AC_ENABLE_SHARED                          # enable shared libraries
                AC_MSG_RESULT(no)
                echo "Set GMP for arithmetic (default)"],
          [
                AC_MSG_RESULT(yes)])
          ]
)
