dnl This file is part of MPHELL.
dnl enable GMP
dnl MPHELL_ENABLE_GMP

AC_DEFUN([MPHELL_ENABLE_GMP],
         [AC_ARG_ENABLE([gmp],
                        [AC_HELP_STRING([--enable-gmp],
                        [Use GMP for arithmetic,
                         default=no])],
                        [test_gmp=$enable_gmp],
                        [test_gmp=no])
          AC_MSG_CHECKING(if GMP is used for arithmetic)
          AS_IF([ test "x$test_gmp" != "xno"],
          [
                AC_DEFINE(USE_GMP, 1, [Define if GMP is used for arithmetic])
                AC_MSG_RESULT(yes)
                AC_ENABLE_SHARED                          # enable shared libraries
                ],
          [
                AC_DEFINE(USE_GMP, 0, [Define if GMP is not used for arithmetic])
                AC_MSG_RESULT(no)])
          ]
)
