dnl This file is part of MPHELL.
dnl MPHELL_ENABLE_OPTIMISATION
dnl turn on Optimisation (default is yes)

AC_DEFUN([MPHELL_ENABLE_OPTIMISATION],
         [AC_ARG_ENABLE([optimisation],
                        [AC_HELP_STRING([--enable-optimisation],
                        [Use gcc optimisation (-O3),
                         default=yes])],
                        [test_optimisation=$enable_optimisation],
                        [test_optimisation=yes])
          AC_MSG_CHECKING(for Optimisation)
          AS_IF([ test "x$test_optimisation" != "xno" ],
          [
                OPTIMISATION_FLAGS="-O3 -Wall"
                AC_MSG_RESULT(yes)
                AC_SUBST(OPTIMISATION_FLAGS)],
           [
                OPTIMISATION_FLAGS="-O0 -Wall"
                AC_SUBST(OPTIMISATION_FLAGS)
                AC_MSG_RESULT(no)])
         ]
)
